mbed TLS v2.14.1

Data Fields
mbedtls_asn1_named_data Struct Reference

`#include <asn1.h>`

Collaboration diagram for mbedtls_asn1_named_data:
[legend]

## Data Fields
mbedtls_asn1_buf | oid
mbedtls_asn1_buf | val
struct mbedtls_asn1_named_data * | next
unsigned char | next_merged

## Detailed Description

Container for a sequence or list of 'named' ASN.1 data items

Definition at line 166 of file asn1.h.

## Field Documentation

## ◆ next

struct mbedtls_asn1_named_data* mbedtls_asn1_named_data::next

The next entry in the sequence.

Definition at line 170 of file asn1.h.

## ◆ next_merged

unsigned char mbedtls_asn1_named_data::next_merged

Merge next item into the current one?

Definition at line 171 of file asn1.h.

## ◆ oid

mbedtls_asn1_buf mbedtls_asn1_named_data::oid

The object identifier.

Definition at line 168 of file asn1.h.

## ◆ val

mbedtls_asn1_buf mbedtls_asn1_named_data::val

The named value.

Definition at line 169 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h